Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface MachineMBean

public interface MachineMBean
extends ConfigurationMBean

This bean represents a machine on which servers may be booted. A server is bound to a machine by calling to ServerMBean.setMachine(). Although it is typical that one MachineMBean refers to one physical machine and vice versa, it is possible to have a multihomed machine represented by multiple MachineMBeans. The only restriction is that each MachineMBean be configured with non-overlapping addresses. A configuration may contain one or more of MachineMBeans which may be looked up by their logical names.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`java.lang.String[]` | `getAddresses()` Deprecated. Please use `ServerMBean.getListenAddress()`
`NodeManagerMBean` | `getNodeManager()` Returns the NodeManager representing this machine.
`weblogic.management.runtime.NodeManagerRuntimeMBean` | `lookupNodeManagerRuntime()` lookup the NodeManagerRuntime for this machine.
`void` | `setAddresses(java.lang.String[] addresses)` Deprecated. Please use `ServerMBean.setListenAddress()`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getAddresses

    public java.lang.String[] getAddresses()

  Deprecated. Please use `ServerMBean.getListenAddress()`
  Returns the addresses by which this machine is known. May be either host names of literal IP addresses.

  A configurable MBean attribute
  Returns:
    The addresses value

### setAddresses

    public void setAddresses(java.lang.String[] addresses)
                      throws javax.management.InvalidAttributeValueException

  Deprecated. Please use `ServerMBean.setListenAddress()`
  Set the addresses by which the machine is known.

  Parameters:
    `addresses` - The new addresses value
  Throws:
    javax.management.InvalidAttributeValueException -
    java.lang.IllegalArgumentException - if the array is null or contains null elements.

### getNodeManager

    public NodeManagerMBean getNodeManager()

  Returns the NodeManager representing this machine.

  Returns:
    The nodeManager value

### lookupNodeManagerRuntime

    public weblogic.management.runtime.NodeManagerRuntimeMBean lookupNodeManagerRuntime()

  lookup the NodeManagerRuntime for this machine.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD